std::__debug::bitset< _Nb > Class Template Reference

Inherits bitset< _Nb >.

## Public Types

typedef _Base::reference | reference

## Public Member Functions

constexpr | bitset (unsigned long long __val) noexcept
template<typename _CharT , typename _Traits , typename _Alloc >
| bitset (const std::basic_string< _CharT, _Traits, _Alloc > &__str, typename std::basic_string< _CharT, _Traits, _Alloc >::size_type __pos=0, typename std::basic_string< _CharT, _Traits, _Alloc >::size_type __n=(std::basic_string< _CharT, _Traits, _Alloc >::npos))
template<class _CharT , class _Traits , class _Alloc >
| bitset (const std::basic_string< _CharT, _Traits, _Alloc > &__str, typename std::basic_string< _CharT, _Traits, _Alloc >::size_type __pos, typename std::basic_string< _CharT, _Traits, _Alloc >::size_type __n, _CharT __zero, _CharT __one=_CharT('1'))
| bitset (const _Base &__x)
template<typename _CharT >
| bitset (const _CharT *__str, typename std::basic_string< _CharT >::size_type __n=std::basic_string< _CharT >::npos, _CharT __zero=_CharT('0'), _CharT __one=_CharT('1'))
_Base & | _M_base () noexcept
const _Base & | _M_base () const noexcept
bitset< _Nb > & | flip () noexcept
bitset< _Nb > & | flip (size_t __pos)
bitset< _Nb > & | operator &= (const bitset< _Nb > &__rhs) noexcept
bool | operator!= (const bitset< _Nb > &__rhs) const noexcept
bitset< _Nb > | operator<< (size_t __pos) const noexcept
bitset< _Nb > & | operator<<= (size_t __pos) noexcept
bool | operator== (const bitset< _Nb > &__rhs) const noexcept
bitset< _Nb > | operator>> (size_t __pos) const noexcept
bitset< _Nb > & | operator>>= (size_t __pos) noexcept
reference | operator[] (size_t __pos)
constexpr bool | operator[] (size_t __pos) const
bitset< _Nb > & | operator^= (const bitset< _Nb > &__rhs) noexcept
bitset< _Nb > & | operator|= (const bitset< _Nb > &__rhs) noexcept
bitset< _Nb > | operator~ () const noexcept
bitset< _Nb > & | reset () noexcept
bitset< _Nb > & | reset (size_t __pos)
bitset< _Nb > & | set () noexcept
bitset< _Nb > & | set (size_t __pos, bool __val=true)
template<typename _CharT , typename _Traits , typename _Alloc >
std::basic_string< _CharT, _Traits, _Alloc > | to_string () const
template<class _CharT , class _Traits , class _Alloc >
std::basic_string< _CharT, _Traits, _Alloc > | to_string (_CharT __zero, _CharT __one=_CharT('1')) const
template<typename _CharT , typename _Traits >
std::basic_string< _CharT, _Traits, std::allocator< _CharT > > | to_string () const
template<class _CharT , class _Traits >
std::basic_string< _CharT, _Traits, std::allocator< _CharT > > | to_string (_CharT __zero, _CharT __one=_CharT('1')) const
template<typename _CharT >
std::basic_string< _CharT, std::char_traits< _CharT >, std::allocator< _CharT > > | to_string () const
template<class _CharT >
std::basic_string< _CharT, std::char_traits< _CharT >, std::allocator< _CharT > > | to_string (_CharT __zero, _CharT __one=_CharT('1')) const
std::basic_string< char, std::char_traits< char >, std::allocator< char > > | to_string () const
std::basic_string< char, std::char_traits< char >, std::allocator< char > > | to_string (char __zero, char __one='1') const

## Detailed Description

### template<size_t _Nb>
class std::__debug::bitset< _Nb >

Class std::bitset with additional safety/checking/debug instrumentation.

Definition at line 42 of file debug/bitset.

The documentation for this class was generated from the following file:

- debug/bitset